curl --request POST \
--url https://api.hubapi.com/integrators/timeline/v3/events/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/integrators/timeline/v3/events/batch/create"
payload = { "inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
eventTemplateId: '<string>',
id: '<string>',
tokens: {},
customObjectTypeId: '<string>',
domain: '<string>',
email: '<string>',
extraData: {},
objectId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
utk: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/integrators/timeline/v3/events/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create multiple events
Crie em lote várias instâncias de eventos de linha do tempo com base em um modelo de evento. Uma vez criados, esses eventos são imutáveis na linha do tempo do objeto e não podem ser modificados. Se o modelo de evento tiver sido configurado para atualizar propriedades de objeto por meio de “objectPropertyName”, essa chamada também tentará atualizar essas propriedades ou adicioná-las caso não existam.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Uma coleção de eventos de linha do tempo que queremos criar.
Show child attributes
Show child attributes
Resposta
successful operation
O momento em que a solicitação foi concluída.
Eventos criados com sucesso.
Show child attributes
Show child attributes
O momento em que a solicitação começou a ser processada.
O status da resposta em lote. Deve sempre ser COMPLETED se processado.
CANCELED, COMPLETE, PENDING, PROCESSING Links para a documentação.
Show child attributes
Show child attributes
O momento em que a solicitação ocorreu.